diff --git a/libkdepim/kcmdesignerfields.cpp b/libkdepim/kcmdesignerfields.cpp
index 10edf6f8b..bc7ddb747 100644
--- a/libkdepim/kcmdesignerfields.cpp
+++ b/libkdepim/kcmdesignerfields.cpp
@@ -60,7 +60,7 @@ class PageItem : public TQCheckListItem
       : TQCheckListItem( tqparent, "", TQCheckListItem::CheckBox ),
         mPath( path ), mIsActive( false )
     {
-      mName = path.mid( path.tqfindRev( '/' ) + 1 );
+      mName = path.mid( path.findRev( '/' ) + 1 );
 
       TQWidget *wdg = TQWidgetFactory::create( mPath, 0, 0 );
       if ( wdg ) {
@@ -85,7 +85,7 @@ class PageItem : public TQCheckListItem
         allowedTypes.insert( "KDatePicker", i18n( "Date" ) );
 
         while ( it.current() ) {
-          if ( allowedTypes.tqfind( it.current()->className() ) != allowedTypes.end() ) {
+          if ( allowedTypes.find( it.current()->className() ) != allowedTypes.end() ) {
             TQString name = it.current()->name();
             if ( name.startsWith( "X_" ) ) {
               new TQListViewItem( this, name,
@@ -217,7 +217,7 @@ void KCMDesignerFields::loadActivePages(const TQStringList& ai)
   while ( it.current() ) {
     if ( it.current()->tqparent() == 0 ) {
       PageItem *item = static_cast<PageItem*>( it.current() );
-      if ( ai.tqfind( item->name() ) != ai.end() ) {
+      if ( ai.find( item->name() ) != ai.end() ) {
         item->setOn( true );
         item->setIsActive( true );
       }
@@ -361,7 +361,7 @@ void KCMDesignerFields::updatePreview( TQListViewItem *item )
                                  "<tr><td align=\"right\"><b>%7</b></td><td>%8</td></tr>"
                                  "</table></qt>" )
                                 .tqarg( i18n( "Key:" ) )
-                                .tqarg( item->text( 0 ).tqreplace("X_","X-") )
+                                .tqarg( item->text( 0 ).replace("X_","X-") )
                                 .tqarg( i18n( "Type:" ) )
                                 .tqarg( item->text( 1 ) )
                                 .tqarg( i18n( "Classname:" ) )
diff --git a/libkdepim/kdateedit.cpp b/libkdepim/kdateedit.cpp
index 118c92c21..65dc3b8b3 100644
--- a/libkdepim/kdateedit.cpp
+++ b/libkdepim/kdateedit.cpp
@@ -49,7 +49,7 @@ class DateValidator : public TQValidator
       if ( length <= 0 )
         return Intermediate;
 
-      if ( mKeywords.tqcontains( str.lower() ) )
+      if ( mKeywords.contains( str.lower() ) )
         return Acceptable;
 
       bool ok = false;
@@ -214,7 +214,7 @@ TQDate KDateEdit::parseDate( bool *replaced ) const
 
   if ( text.isEmpty() )
     result = TQDate();
-  else if ( mKeywordMap.tqcontains( text.lower() ) ) {
+  else if ( mKeywordMap.contains( text.lower() ) ) {
     TQDate today = TQDate::tqcurrentDate();
     int i = mKeywordMap[ text.lower() ];
     if ( i >= 100 ) {
@@ -286,7 +286,7 @@ bool KDateEdit::eventFilter( TQObject *object, TQEvent *event )
       case TQEvent::MouseButtonDblClick:
       case TQEvent::MouseButtonPress: {
         TQMouseEvent *mouseEvent = (TQMouseEvent*)event;
-        if ( !TQT_TQRECT_OBJECT(mPopup->rect()).tqcontains( mouseEvent->pos() ) ) {
+        if ( !TQT_TQRECT_OBJECT(mPopup->rect()).contains( mouseEvent->pos() ) ) {
           TQPoint globalPos = mPopup->mapToGlobal( mouseEvent->pos() );
           if ( TQApplication::widgetAt( globalPos, true ) == this ) {
             // The date picker is being closed by a click on the
diff --git a/libkdepim/kfileio.h b/libkdepim/kfileio.h
index 8365f1e29..928175b6f 100644
--- a/libkdepim/kfileio.h
+++ b/libkdepim/kfileio.h
@@ -17,7 +17,7 @@ class TQString;
 
 namespace KPIM {
 
-/** Load a file. Returns a pointer to the memory-block that tqcontains
+/** Load a file. Returns a pointer to the memory-block that contains
  * the loaded file. Returns a null string if the file could not be loaded.
  * If withDialogs is FALSE no warning dialogs are opened if there are
  * problems.
diff --git a/libkdepim/kimportdialog.cpp b/libkdepim/kimportdialog.cpp
index 904415982..0e08eec29 100644
--- a/libkdepim/kimportdialog.cpp
+++ b/libkdepim/kimportdialog.cpp
@@ -323,7 +323,7 @@ void KImportDialog::readFile( int rows )
   pDialog.setAutoClose(true);
   
   KProgress *progress = pDialog.progressBar();
-  progress->setTotalSteps( mFile.tqcontains(mSeparator, false) );
+  progress->setTotalSteps( mFile.contains(mSeparator, false) );
   progress->setValue(0);
   int progressValue = 0;
   
@@ -443,7 +443,7 @@ void KImportDialog::setCellText(int row, int col, const TQString& text)
   if ((mTable->numRows() - 1) < row) mTable->setNumRows(row + 1);
   if ((mTable->numCols() - 1) < col) mTable->setNumCols(col + 1);
 
-  KImportColumn *c = mColumnDict.tqfind(col);
+  KImportColumn *c = mColumnDict.find(col);
   TQString formattedText;
   if (c) formattedText = c->preview(text,findFormat(col));
   else formattedText = text;
@@ -492,7 +492,7 @@ void KImportDialog::tableSelected()
   TQTableSelection selection = mTable->selection(mTable->currentSelection());
 
   TQListViewItem *item = mHeaderList->firstChild();
-  KImportColumn *col = mColumnDict.tqfind(selection.leftCol());
+  KImportColumn *col = mColumnDict.find(selection.leftCol());
   if (col) {
     while(item) {
       if (item->text(0) == col->header()) {
@@ -550,9 +550,9 @@ void KImportDialog::assignColumn(TQListViewItem *item)
   for(int i=selection.leftCol();i<=selection.rightCol();++i) {
     if (i >= 0) {
       mTable->horizontalHeader()->setLabel(i,colItem->text(0));
-      mColumnDict.tqreplace(i,colItem->column());
+      mColumnDict.replace(i,colItem->column());
       int format = mFormatCombo->currentItem() + 1;
-      mFormats.tqreplace(i,format);
+      mFormats.replace(i,format);
       colItem->column()->addColId(i);
     }
   }
@@ -616,8 +616,8 @@ void KImportDialog::assignTemplate()
       continue;
     KImportColumn *col = mColumns.at(i);
     mTable->horizontalHeader()->setLabel( tableColumn, col->header() );
-    mColumnDict.tqreplace( tableColumn, col );
-    mFormats.tqreplace( tableColumn, format );
+    mColumnDict.replace( tableColumn, col );
+    mFormats.replace( tableColumn, format );
     col->addColId( tableColumn );
   }
 
@@ -633,7 +633,7 @@ void KImportDialog::removeColumn()
   for(int i=selection.leftCol();i<=selection.rightCol();++i) {
     if (i >= 0) {
       mTable->horizontalHeader()->setLabel(i,TQString::number(i+1));
-      KImportColumn *col = mColumnDict.tqfind(i);
+      KImportColumn *col = mColumnDict.find(i);
       if (col) {
         mColumnDict.remove(i);
         mFormats.remove(i);
@@ -674,7 +674,7 @@ void KImportDialog::applyConverter()
 
 int KImportDialog::findFormat(int column)
 {
-  TQMap<int,int>::ConstIterator formatIt = mFormats.tqfind(column);
+  TQMap<int,int>::ConstIterator formatIt = mFormats.find(column);
   int format;
   if (formatIt == mFormats.end()) format = KImportColumn::FormatUndefined;
   else format = *formatIt;
@@ -698,7 +698,7 @@ void KImportDialog::addColumn(KImportColumn *col)
 void KImportDialog::setData( uint row, uint col, const TQString &value )
 {
   TQString val = value;
-  val.tqreplace( "\\n", "\n" );
+  val.replace( "\\n", "\n" );
 
   if ( row >= mData.count() ) {
     mData.resize( row + 1 );
@@ -713,7 +713,7 @@ void KImportDialog::setData( uint row, uint col, const TQString &value )
     rowVector->resize( col + 1 );
   }
   
-  KImportColumn *c = mColumnDict.tqfind( col );
+  KImportColumn *c = mColumnDict.find( col );
   if ( c )
   	rowVector->at( col ) = c->preview( val, findFormat(col) );
   else
@@ -734,7 +734,7 @@ void KImportDialog::saveTemplate()
   if ( fileName.isEmpty() )
     return;
 
-  if ( !fileName.tqcontains( ".desktop" ) )
+  if ( !fileName.contains( ".desktop" ) )
     fileName += ".desktop";
 
   TQString name = KInputDialog::getText( i18n( "Template Name" ), i18n( "Please enter a name for the template:" ) );
diff --git a/libkdepim/kmailcompletion.cpp b/libkdepim/kmailcompletion.cpp
index 98a3cb9ee..7e71ec78c 100644
--- a/libkdepim/kmailcompletion.cpp
+++ b/libkdepim/kmailcompletion.cpp
@@ -44,8 +44,8 @@ TQString KMailCompletion::makeCompletion( const TQString &string )
   // this should be in postProcessMatch, but postProcessMatch is const and will not allow nextMatch
   if ( !match.isEmpty() ){
     const TQString firstMatch( match );
-    while ( match.tqfind( TQRegExp( "(@)|(<.*>)" ) ) == -1 ) {
-      /* local email do not require @domain part, if match is an address we'll tqfind
+    while ( match.find( TQRegExp( "(@)|(<.*>)" ) ) == -1 ) {
+      /* local email do not require @domain part, if match is an address we'll find
        * last+first <match> in m_keyMap and we'll know that match is already a valid email.
        *
        * Distribution list do not have last+first <match> entry, they will be in mailAddr
@@ -53,7 +53,7 @@ TQString KMailCompletion::makeCompletion( const TQString &string )
       const TQStringList &mailAddr = m_keyMap[ match ]; //get all mailAddr for this keyword
       bool isEmail = false;
       for ( TQStringList::ConstIterator sit ( mailAddr.begin() ), sEnd( mailAddr.end() ); sit != sEnd; ++sit )
-        if ( (*sit).tqfind( "<" + match + ">" ) != -1 || (*sit) == match ) {
+        if ( (*sit).find( "<" + match + ">" ) != -1 || (*sit) == match ) {
           isEmail = true;
           break;
         }
@@ -77,7 +77,7 @@ void KMailCompletion::addItemWithKeys( const TQString& email, int weight, const
   Q_ASSERT( keyWords != 0 );
   for ( TQStringList::ConstIterator it( keyWords->begin() ); it != keyWords->end(); ++it ) {
     TQStringList &emailList = m_keyMap[ (*it) ];      //lookup email-list for given keyword
-    if ( emailList.tqfind( email ) == emailList.end() ) //add email if not there
+    if ( emailList.find( email ) == emailList.end() ) //add email if not there
       emailList.append( email );
     addItem( (*it),weight );                         //inform KCompletion about keyword
     }
diff --git a/libkdepim/kmailcompletion.h b/libkdepim/kmailcompletion.h
index 254507c19..868e1b2b8 100644
--- a/libkdepim/kmailcompletion.h
+++ b/libkdepim/kmailcompletion.h
@@ -60,7 +60,7 @@ class KMailCompletion : public KCompletion
      * Items may be added with KCompletion::addItem, those will only be returned as match if they
      * are in one of these formats:
      * \li contains localpart@domain 
-     * \li tqcontains <email>
+     * \li contains <email>
      * or if they have also been added with this function.
      */
     void addItemWithKeys( const TQString& email, int weight, const TQStringList * keyWords);
diff --git a/libkdepim/komposer/core/core.cpp b/libkdepim/komposer/core/core.cpp
index bffae60ed..3618b88ee 100644
--- a/libkdepim/komposer/core/core.cpp
+++ b/libkdepim/komposer/core/core.cpp
@@ -158,7 +158,7 @@ Core::selectEditor( Komposer::Editor *editor )
 
   TQPtrList<KParts::Part> *partList = const_cast<TQPtrList<KParts::Part>*>(
                                                    m_partManager->parts() );
-  if ( partList->tqfind( part ) == -1 )
+  if ( partList->find( part ) == -1 )
     addPart( part );
 
   m_partManager->setActivePart( part );
diff --git a/libkdepim/komposer/core/pluginmanager.cpp b/libkdepim/komposer/core/pluginmanager.cpp
index 50ef26a96..30d52ffcd 100644
--- a/libkdepim/komposer/core/pluginmanager.cpp
+++ b/libkdepim/komposer/core/pluginmanager.cpp
@@ -305,7 +305,7 @@ PluginManager::loadPluginInternal( const TQString &pluginId )
     return 0;
   }
 
-  if ( d->loadedPlugins.tqcontains( info ) )
+  if ( d->loadedPlugins.contains( info ) )
     return d->loadedPlugins[ info ];
 
   int error = 0;
@@ -408,7 +408,7 @@ PluginManager::plugin( const TQString &pluginId ) const
   if ( !info )
     return 0;
 
-  if ( d->loadedPlugins.tqcontains( info ) )
+  if ( d->loadedPlugins.contains( info ) )
     return d->loadedPlugins[ info ];
   else
     return 0;
diff --git a/libkdepim/komposer/core/prefsmodule.cpp b/libkdepim/komposer/core/prefsmodule.cpp
index 1c088e9e8..3b82f96d3 100644
--- a/libkdepim/komposer/core/prefsmodule.cpp
+++ b/libkdepim/komposer/core/prefsmodule.cpp
@@ -110,7 +110,7 @@ EditorSelection::readConfig()
 
     TQString name = (*it)->property( "X-KDE-KomposerIdentifier" ).toString();
     m_editorsCombo->insertItem( name );
-    if ( m_reference.tqcontains( name ) )
+    if ( m_reference.contains( name ) )
       m_editorsCombo->setCurrentItem( i );
   }
 }
diff --git a/libkdepim/komposer/plugins/default/defaulteditor.cpp b/libkdepim/komposer/plugins/default/defaulteditor.cpp
index c75f63920..96458ae3d 100644
--- a/libkdepim/komposer/plugins/default/defaulteditor.cpp
+++ b/libkdepim/komposer/plugins/default/defaulteditor.cpp
@@ -37,7 +37,7 @@
 #include <kfinddialog.h>
 #include <kfind.h>
 #include <kreplacedialog.h>
-#include <ktqreplace.h>
+#include <kreplace.h>
 
 #include <tqtextedit.h>
 #include <tqwidget.h>
@@ -86,10 +86,10 @@ DefaultEditor::changeSignature( const TQString &sig )
 {
   TQString text = m_textEdit->text();
 
-  int sigStart = text.tqfindRev( "-- " );
+  int sigStart = text.findRev( "-- " );
   TQString sigText = TQString( "-- \n%1" ).tqarg( sig );
 
-  text.tqreplace( sigStart, text.length(), sigText );
+  text.replace( sigStart, text.length(), sigText );
 }
 
 void
diff --git a/libkdepim/kpimprefs.cpp b/libkdepim/kpimprefs.cpp
index 55a6a799f..730ed8f52 100644
--- a/libkdepim/kpimprefs.cpp
+++ b/libkdepim/kpimprefs.cpp
@@ -79,7 +79,7 @@ const TQString KPimPrefs::timezone()
     int len = readlink( "/etc/localtime", zonefilebuf, PATH_MAX );
     if ( len > 0 && len < PATH_MAX ) {
       zone = TQString::fromLocal8Bit( zonefilebuf, len );
-      zone = zone.mid( zone.tqfind( "zoneinfo/" ) + 9 );
+      zone = zone.mid( zone.find( "zoneinfo/" ) + 9 );
       kdDebug(5300) << "system timezone from /etc/localtime is " << zone
                     << endl;
     } else {
diff --git a/libkdepim/kpixmapregionselectorwidget.cpp b/libkdepim/kpixmapregionselectorwidget.cpp
index a6d992f54..46e65524a 100644
--- a/libkdepim/kpixmapregionselectorwidget.cpp
+++ b/libkdepim/kpixmapregionselectorwidget.cpp
@@ -227,7 +227,7 @@ bool KPixmapRegionSelectorWidget::eventFilter(TQObject *obj, TQEvent *ev)
       };
 
       TQCursor cursor;
-      if ( m_selectedRegion.tqcontains( mev->pos() )
+      if ( m_selectedRegion.contains( mev->pos() )
           && m_selectedRegion!=m_originalPixmap.rect() )
       {
          m_state=Moving;
diff --git a/libkdepim/kprefsdialog.cpp b/libkdepim/kprefsdialog.cpp
index bb2bdca79..38adc8fa3 100644
--- a/libkdepim/kprefsdialog.cpp
+++ b/libkdepim/kprefsdialog.cpp
@@ -768,7 +768,7 @@ void KPrefsDialog::autoCreate()
     TQWidget *page;
     TQGridLayout *tqlayout;
     int currentRow;
-    if ( !mGroupPages.tqcontains( group ) ) {
+    if ( !mGroupPages.contains( group ) ) {
       page = addPage( group );
       tqlayout = new TQGridLayout( page );
       mGroupPages.insert( group, page );
@@ -804,7 +804,7 @@ void KPrefsDialog::autoCreate()
 
       addWid( wid );
 
-      mCurrentRows.tqreplace( group, ++currentRow );
+      mCurrentRows.replace( group, ++currentRow );
     }
   }
 
diff --git a/libkdepim/kregexp3.cpp b/libkdepim/kregexp3.cpp
index ca9725ba2..c4efa96f1 100644
--- a/libkdepim/kregexp3.cpp
+++ b/libkdepim/kregexp3.cpp
@@ -37,7 +37,7 @@
 #include <kdebug.h>
 #endif
 
-TQString KRegExp3::tqreplace( const TQString & str,
+TQString KRegExp3::replace( const TQString & str,
 			   const TQString & replacementStr,
 			   int start, bool global )
 {
@@ -69,16 +69,16 @@ TQString KRegExp3::tqreplace( const TQString & str,
 
     if ( pos < 0 ) {
       literalStrs << replacementStr.mid( oldpos )
-	.tqreplace( bbrx, "\\" )
-	.tqreplace( brx, "" );
+	.replace( bbrx, "\\" )
+	.replace( brx, "" );
 #ifdef DEBUG_KREGEXP3
       kdDebug() << "  No more matches. Last literal is \"" + literalStrs.last() + "\"" << endl;
 #endif
       break;
     } else {
       literalStrs << replacementStr.mid( oldpos, pos-oldpos )
-	.tqreplace( bbrx, "\\" )
-	.tqreplace( brx, "" );
+	.replace( bbrx, "\\" )
+	.replace( brx, "" );
 #ifdef DEBUG_KREGEXP3
       kdDebug() << TQString("  Inserting \"") + literalStrs.last() + "\" as literal." << endl;
       kdDebug() << "    Searching for corresponding digit(s):" << endl;
diff --git a/libkdepim/kregexp3.h b/libkdepim/kregexp3.h
index 64a874d3a..c58feb9d1 100644
--- a/libkdepim/kregexp3.h
+++ b/libkdepim/kregexp3.h
@@ -36,11 +36,11 @@
 
 #include <kdepimmacros.h>
 
-/** @short A TQRegExp (TQt3.x) with a tqreplace() method.
+/** @short A TQRegExp (TQt3.x) with a replace() method.
 
     This class is simply there to provide a namespace for some nice
     enhancements of the mighty TQRegExp (TQt3 version) regular
-    expression engine, namely the method tqreplace(), which can be
+    expression engine, namely the method replace(), which can be
     used to do search-and-replace like one is used to from perl or sed.
     
     It "simply" adds the ability to define a replacement string which
@@ -105,7 +105,7 @@ public:
 	     Equivalent to the /g switch to perl's s/// operator.
       @return The modified string.
   */
-  TQString tqreplace( const TQString & str,
+  TQString replace( const TQString & str,
 		   const TQString & replacementStr,
 		   int start=0, bool global=TRUE );
 };
diff --git a/libkdepim/kscoring.cpp b/libkdepim/kscoring.cpp
index 58595b933..cf02d88f4 100644
--- a/libkdepim/kscoring.cpp
+++ b/libkdepim/kscoring.cpp
@@ -47,19 +47,19 @@ static TQString toXml(const TQString& str)
   uint i = 0;
   while ( i < len ) {
     if (tmp[(int)i] == '<') {
-      tmp.tqreplace(i, 1, "&lt;");
+      tmp.replace(i, 1, "&lt;");
       len += 3;
       i += 4;
     } else if (tmp[(int)i] == '"') {
-      tmp.tqreplace(i, 1, "&quot;");
+      tmp.replace(i, 1, "&quot;");
       len += 5;
       i += 6;
     } else if (tmp[(int)i] == '&') {
-       tmp.tqreplace(i, 1, "&amp;");
+       tmp.replace(i, 1, "&amp;");
        len += 4;
        i += 5;
     } else if (tmp[(int)i] == '>') {
-       tmp.tqreplace(i, 1, "&gt;");
+       tmp.replace(i, 1, "&gt;");
        len += 3;
        i += 4;
     } else {
@@ -91,7 +91,7 @@ NotifyDialog::NotifyDialog(TQWidget* p)
 
 void NotifyDialog::slotShowAgainToggled(bool flag)
 {
-  dict.tqreplace(msg,!flag);
+  dict.replace(msg,!flag);
   kdDebug(5100) << "note \"" << note << "\" will popup again: " << flag << endl;
 }
 
@@ -101,7 +101,7 @@ void NotifyDialog::display(ScorableArticle& a, const TQString& s)
   if (!me) me = new NotifyDialog();
   me->msg = s;
 
-  NotesMap::Iterator i = dict.tqfind(s);
+  NotesMap::Iterator i = dict.find(s);
   if (i == dict.end() || i.data()) {
     TQString msg = i18n("Article\n<b>%1</b><br><b>%2</b><br>caused the following"
                        " note to appear:<br>%3").
@@ -109,7 +109,7 @@ void NotifyDialog::display(ScorableArticle& a, const TQString& s)
                   arg(a.subject()).
                   arg(s);
     me->note->setText(msg);
-    if ( i == dict.end() ) i = dict.tqreplace(s,false);
+    if ( i == dict.end() ) i = dict.replace(s,false);
     me->adjustSize();
     me->exec();
   }
@@ -348,10 +348,10 @@ NotifyCollection::~NotifyCollection()
 
 void NotifyCollection::addNote(const ScorableArticle& a, const TQString& note)
 {
-  article_list *l = notifyList.tqfind(note);
+  article_list *l = notifyList.find(note);
   if (!l) {
     notifyList.insert(note,new article_list);
-    l = notifyList.tqfind(note);
+    l = notifyList.find(note);
   }
   article_info i;
   i.from = a.from();
@@ -514,7 +514,7 @@ bool KScoringExpression::match(ScorableArticle& a) const
       res = (head.lower() == expr_str.lower());
       break;
     case CONTAINS:
-      res = (head.lower().tqfind(expr_str.lower()) >= 0);
+      res = (head.lower().find(expr_str.lower()) >= 0);
       break;
     case MATCH:
     case MATCHCS:
@@ -936,7 +936,7 @@ KScoringRule* KScoringManager::addRule(const ScorableArticle& a, TQString group,
 
 KScoringRule* KScoringManager::addRule(KScoringRule* expr)
 {
-  int i = allRules.tqfindRef(expr);
+  int i = allRules.findRef(expr);
   if (i == -1) {
     // only add a rule we don't know
     addRuleInternal(expr);
@@ -965,7 +965,7 @@ void KScoringManager::addRuleInternal(KScoringRule *e)
 void KScoringManager::cancelNewRule(KScoringRule *r)
 {
   // if e was'nt previously added to the list of rules, we delete it
-  int i = allRules.tqfindRef(r);
+  int i = allRules.findRef(r);
   if (i == -1) {
     kdDebug(5100) << "deleting rule " << r->getName() << endl;
     deleteRule(r);
@@ -1002,7 +1002,7 @@ void KScoringManager::setRuleName(KScoringRule *r, const TQString& s)
 
 void KScoringManager::deleteRule(KScoringRule *r)
 {
-  int i = allRules.tqfindRef(r);
+  int i = allRules.findRef(r);
   if (i != -1) {
     allRules.remove();
     emit changedRules();
@@ -1019,8 +1019,8 @@ void KScoringManager::editRule(KScoringRule *e, TQWidget *w)
 
 void KScoringManager::moveRuleAbove( KScoringRule *above, KScoringRule *below )
 {
-  int aindex = allRules.tqfindRef( above );
-  int bindex = allRules.tqfindRef( below );
+  int aindex = allRules.findRef( above );
+  int bindex = allRules.findRef( below );
   if ( aindex <= 0 || bindex < 0 )
     return;
   if ( aindex < bindex )
@@ -1031,8 +1031,8 @@ void KScoringManager::moveRuleAbove( KScoringRule *above, KScoringRule *below )
 
 void KScoringManager::moveRuleBelow( KScoringRule *below, KScoringRule *above )
 {
-  int bindex = allRules.tqfindRef( below );
-  int aindex = allRules.tqfindRef( above );
+  int bindex = allRules.findRef( below );
+  int aindex = allRules.findRef( above );
   if ( bindex < 0 || bindex >= (int)allRules.count() - 1 || aindex < 0 )
     return;
   if ( bindex < aindex )
diff --git a/libkdepim/ksubscription.cpp b/libkdepim/ksubscription.cpp
index 512ef3453..f5aef4a4b 100644
--- a/libkdepim/ksubscription.cpp
+++ b/libkdepim/ksubscription.cpp
@@ -511,7 +511,7 @@ void KSubscription::filterChanged( TQListViewItem* item, const TQString & text )
         continue;
       }
       if ( !text.isEmpty() &&
-           gr->text(0).tqfind(text, 0, false) == -1)
+           gr->text(0).find(text, 0, false) == -1)
       {
         // searchfield
         gr->setVisible(false);
diff --git a/libkdepim/kwidgetlister.cpp b/libkdepim/kwidgetlister.cpp
index 98c6062be..bc9d89803 100644
--- a/libkdepim/kwidgetlister.cpp
+++ b/libkdepim/kwidgetlister.cpp
@@ -125,7 +125,7 @@ void KWidgetLister::addWidgetAtEnd(TQWidget *w)
 {
   if (!w) w = this->createWidget(this);
 
-  mLayout->insertWidget( mLayout->tqfindWidget( mButtonBox ), w );
+  mLayout->insertWidget( mLayout->findWidget( mButtonBox ), w );
   mWidgetList.append( w );
   w->show();
   enableControls();
diff --git a/libkdepim/kxface.cpp b/libkdepim/kxface.cpp
index 6af87cef9..c8d11447f 100644
--- a/libkdepim/kxface.cpp
+++ b/libkdepim/kxface.cpp
@@ -94,8 +94,8 @@ TQString KXFace::fromImage( const TQImage &image )
   buffer.open( IO_WriteOnly );
   scaledImg.save( &buffer, "XBM" );
   TQString xbm( ba );
-  xbm.remove( 0, xbm.tqfind( "{" ) + 1 );
-  xbm.truncate( xbm.tqfind( "}" ) );
+  xbm.remove( 0, xbm.find( "{" ) + 1 );
+  xbm.truncate( xbm.find( "}" ) );
   xbm.remove( " " );
   xbm.remove( "," );
   xbm.remove( "0x" );
@@ -132,8 +132,8 @@ TQString KXFace::fromImage( const TQImage &image )
       tmp[i-1] = t;
     }
   }
-  tmp.tqreplace( TQRegExp( "(\\w{12})" ), "\\1\n" );
-  tmp.tqreplace( TQRegExp( "(\\w{4})" ), "0x\\1," );
+  tmp.replace( TQRegExp( "(\\w{12})" ), "\\1\n" );
+  tmp.replace( TQRegExp( "(\\w{4})" ), "0x\\1," );
   len = tmp.length();
   char *fbuf = (char *)malloc( len + 1 );
   strncpy( fbuf, (const char *)tmp, len );
diff --git a/libkdepim/ldapclient.cpp b/libkdepim/ldapclient.cpp
index 2f29b7633..a7dcfcd26 100644
--- a/libkdepim/ldapclient.cpp
+++ b/libkdepim/ldapclient.cpp
@@ -196,7 +196,7 @@ void LdapClient::finishCurrentObject()
   mCurrentObject.dn = mLdif.dn();
   const TQString sClass( mCurrentObject.objectClass.lower() );
   if( sClass == "groupofnames" || sClass == "kolabgroupofnames" ){
-    LdapAttrMap::ConstIterator it = mCurrentObject.attrs.tqfind("mail");
+    LdapAttrMap::ConstIterator it = mCurrentObject.attrs.find("mail");
     if( it == mCurrentObject.attrs.end() ){
       // No explicit mail address found so far?
       // Fine, then we use the address stored in the DN.
@@ -423,11 +423,11 @@ void LdapSearch::startSearch( const TQString& txt )
 
   cancelSearch();
 
-  int pos = txt.tqfind( '\"' );
+  int pos = txt.find( '\"' );
   if( pos >= 0 )
   {
     ++pos;
-    int pos2 = txt.tqfind( '\"', pos );
+    int pos2 = txt.find( '\"', pos );
     if( pos2 >= 0 )
         mSearchText = txt.mid( pos , pos2 - pos );
     else
@@ -575,7 +575,7 @@ void LdapSearch::makeSearchData( TQStringList& ret, LdapResultList& resList )
         // must use the correct SMTP server, by definition.
         //
         //mail = (*it1).client->base().simplifyWhiteSpace();
-        //mail.tqreplace( ",dc=", ".", false );
+        //mail.replace( ",dc=", ".", false );
         //if( mail.startsWith("dc=", false) )
         //  mail.remove(0, 3);
         //mail.prepend( '@' );
diff --git a/libkdepim/linklocator.cpp b/libkdepim/linklocator.cpp
index e0c4c0d24..399c5d3b3 100644
--- a/libkdepim/linklocator.cpp
+++ b/libkdepim/linklocator.cpp
@@ -92,14 +92,14 @@ TQString LinkLocator::getUrl()
     // handle cases like this: <link>http://foobar.org/</link>
     int start = mPos;
     while(mPos < (int)mText.length() && mText[mPos] > ' ' && mText[mPos] != '"' &&
-      TQString("<>()[]").tqfind(mText[mPos]) == -1)
+      TQString("<>()[]").find(mText[mPos]) == -1)
     {
       ++mPos;
     }
     /* some URLs really end with:  # / & - _    */
     const TQString allowedSpecialChars = TQString("#/&-_");
     while(mPos > start && mText[mPos-1].isPunct() &&
-		    allowedSpecialChars.tqfind(mText[mPos-1]) == -1 )
+		    allowedSpecialChars.find(mText[mPos-1]) == -1 )
     {
       --mPos;
     }
@@ -128,7 +128,7 @@ bool LinkLocator::atUrl() const
   // the character directly before the URL must not be a letter, a number or
   // any other character allowed in a dot-atom (RFC 2822).
   if( ( mPos > 0 ) && ( mText[mPos-1].isLetterOrNumber() ||
-                        ( allowedSpecialChars.tqfind( mText[mPos-1] ) != -1 ) ) )
+                        ( allowedSpecialChars.find( mText[mPos-1] ) != -1 ) ) )
     return false;
 
   TQChar ch = mText[mPos];
@@ -179,9 +179,9 @@ TQString LinkLocator::getEmailAddress()
     while ( start >= 0 && mText[start].tqunicode() < 128 &&
             ( mText[start].isLetterOrNumber() ||
               mText[start] == '@' || // allow @ to find invalid email addresses
-              allowedSpecialChars.tqfind( mText[start] ) != -1 ) ) {
+              allowedSpecialChars.find( mText[start] ) != -1 ) ) {
       if ( mText[start] == '@' )
-        return TQString(); // local part tqcontains '@' -> no email address
+        return TQString(); // local part contains '@' -> no email address
       --start;
     }
     ++start;
@@ -200,7 +200,7 @@ TQString LinkLocator::getEmailAddress()
               mText[end] == '.' ||
               mText[end] == '-' ) ) {
       if ( mText[end] == '@' )
-        return TQString(); // domain part tqcontains '@' -> no email address
+        return TQString(); // domain part contains '@' -> no email address
       if ( mText[end] == '.' )
         dotPos = TQMIN( dotPos, end ); // remember index of first dot in domain
       ++end;
@@ -305,7 +305,7 @@ TQString LinkLocator::convertToHtml(const TQString& plainText, int flags,
           else
             hyperlink = str;
 
-          str = str.tqreplace('&', "&amp;");
+          str = str.replace('&', "&amp;");
           result += "<a href=\"" + hyperlink + "\">" + str + "</a>";
           x += locator.mPos - start;
           continue;
@@ -314,12 +314,12 @@ TQString LinkLocator::convertToHtml(const TQString& plainText, int flags,
         if(!str.isEmpty())
         {
           // len is the length of the local part
-          int len = str.tqfind('@');
+          int len = str.find('@');
           TQString localPart = str.left(len);
 
           // remove the local part from the result (as '&'s have been expanded to
           // &amp; we have to take care of the 4 additional characters per '&')
-          result.truncate(result.length() - len - (localPart.tqcontains('&')*4));
+          result.truncate(result.length() - len - (localPart.contains('&')*4));
           x -= len;
 
           result += "<a href=\"mailto:" + str + "\">" + str + "</a>";
@@ -390,11 +390,11 @@ TQString LinkLocator::getEmoticon()
     return TQString();
 
   const TQString smiley = mText.mid( mPos, smileyLen );
-  if ( !s_smileyEmoticonNameMap->tqcontains( smiley ) )
+  if ( !s_smileyEmoticonNameMap->contains( smiley ) )
     return TQString(); // that's not a (known) smiley
 
   TQString htmlRep;
-  if ( s_smileyEmoticonHTMLCache->tqcontains( smiley ) ) {
+  if ( s_smileyEmoticonHTMLCache->contains( smiley ) ) {
     htmlRep = (*s_smileyEmoticonHTMLCache)[smiley];
   }
   else {
diff --git a/libkdepim/pluginloaderbase.cpp b/libkdepim/pluginloaderbase.cpp
index 9be0ffd05..40a4beb2f 100644
--- a/libkdepim/pluginloaderbase.cpp
+++ b/libkdepim/pluginloaderbase.cpp
@@ -58,7 +58,7 @@ namespace KPIM {
   }
 
   const PluginMetaData * PluginLoaderBase::infoForName( const TQString & type ) const {
-    return mPluginMap.tqcontains( type ) ? &(mPluginMap[type]) : 0 ;
+    return mPluginMap.contains( type ) ? &(mPluginMap[type]) : 0 ;
   }
 
 
@@ -114,7 +114,7 @@ namespace KPIM {
 
   void * PluginLoaderBase::mainFunc( const TQString & type,
 				     const char * mf_name ) const {
-    if ( type.isEmpty() || !mPluginMap.tqcontains( type ) )
+    if ( type.isEmpty() || !mPluginMap.contains( type ) )
       return 0;
 
     const TQString libName = mPluginMap[ type ].library;
